require 'sketchup.rb'
require 'extensions.rb'

Sketchup.require '3dbazaar/version'

module Lindale
module Bazaar

    # ---------
    # CONSTANTS
    # ---------

    PATH = File.join(File.dirname(__FILE__), '3dbazaar') unless defined?(self::PATH)

    INSTALL_DIR = __dir__

    # Platforms

    MAC = (Object::RUBY_PLATFORM =~ /darwin/i ? true : false)
    WIN = ((Object::RUBY_PLATFORM =~ /mswin/i || Object::RUBY_PLATFORM =~ /mingw/i) ? true : false)

    # SketchUp versions

    SU2017plus = Sketchup.version.to_f >= 17
    SU2018plus = Sketchup.version.to_f >= 18
    SU2019plus = Sketchup.version.to_f >= 19
    SU2020plus = Sketchup.version.to_f >= 20
    SU2021plus = Sketchup.version.to_f >= 21

    # -----------------
    # Register the extension
    # -----------------

    ext = SketchupExtension.new('3D Bazaar', '3dbazaar/menu')

    ext.description= 'High-quality render-ready SketchUp content at your fingertips'
    ext.version = Lindale::Bazaar::version
    ext.creator = 'Lindalë'
    ext.copyright = 'Lindalë SARL'

    Sketchup.register_extension(ext, true)

end#module
end#module
